package client

import (
	"bufio"
	"fmt"
	"os"
)

func readMessageContent() string {
	fmt.Println("Enter message content (limited to 1000 bytes):")
	scanner := bufio.NewScanner(os.Stdin)
	scanner.Scan()
	// FIX: make sure this doesnt die
	return scanner.Text()
}

//FIX: Why is this function in the client if it's called by crypto?
// It should be called by the client and the result
// should then be passed into the crypto library
func AskUserPassword() string {
	fmt.Println("Enter message content (limited to 1000 bytes):")
	scanner := bufio.NewScanner(os.Stdin)
	scanner.Scan()
	// FIX: make sure this doesnt die
	return scanner.Text()
}

func commandError() {
    fmt.Println("MSG SERVICE: command error!")
    showHelp()
}


func showHelp() {
	fmt.Println("Comandos da aplicação cliente:")
	fmt.Println("-user <FNAME>: Especifica o ficheiro com dados do utilizador. Por omissão, será assumido que esse ficheiro é userdata.p12.")
	fmt.Println("send <UID> <SUBJECT>: Envia uma mensagem com assunto <SUBJECT> destinada ao utilizador com identificador <UID>. O conteúdo da mensagem será lido do stdin, e o tamanho deve ser limitado a 1000 bytes.")
	fmt.Println("askqueue: Solicita ao servidor que lhe envie a lista de mensagens não lidas da queue do utilizador.")
	fmt.Println("getmsg <NUM>: Solicita ao servidor o envio da mensagem da sua queue com número <NUM>.")
	fmt.Println("help: Imprime instruções de uso do programa.")
}
